Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.dns
Class DnsEntryNS

    java.lang.Object
      de.knipp.rritoolkit.dns.DnsEntry
          de.knipp.rritoolkit.dns.DnsEntryNS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class DnsEntryNS

extends DnsEntry

class that stores the name server information. Although it is named "NS", it actually represents both the NS record and the glue records (A or AAAA)

Version:
  $Revision: 15112 $
Author:
  Klaus Malorny
See Also:
  Serialized Form

Field Summary
`private java.util.List<java.lang.String>` | `addrsIPv4` the list of IPv4 addresses
`private java.util.List<java.lang.String>` | `addrsIPv6` the list of IPv6 addresses
`private java.lang.String` | `nsName` the name server name

Constructor Summary
`protected` | `DnsEntryNS(org.w3c.dom.Element el)` constructor
`` | `DnsEntryNS(java.lang.String name, java.util.Collection<java.lang.String> ipv4, java.util.Collection<java.lang.String> ipv6)` constructor
`` | `DnsEntryNS(java.lang.String name, java.util.List<java.lang.String> addrs)` constructor
`` | `DnsEntryNS(java.lang.String name, java.lang.String... addrs)` constructor
`` | `DnsEntryNS(java.lang.String name, java.lang.String[] ipv4, java.lang.String[] ipv6)` constructor
`protected` | `DnsEntryNS(java.lang.String encodedDomainName, java.lang.String name, java.util.List<java.lang.String> ips)` constructor

Method Summary
`void` | `accept(DnsEntryVisitor visitor)` accept the given visitor
`DnsEntryNS` | `clone()` create a clone of this instance.
`java.util.List<java.lang.String>` | `getAddresses()` return the list of addresses assigned to the name server
`java.util.List<java.lang.String>` | `getIPv4Addresses()` return the list of IPv4 addresses assigned to the name server
`java.util.List<java.lang.String>` | `getIPv6Addresses()` return the list of IPv6 addresses assigned to the name server
`java.lang.String` | `getNameserverName()` return the name server name
`void` | `toList(KVList list)` convert the instance to an entry in the given list
`java.lang.String` | `toString()` create a string representation (for debugging purposes)
`void` | `toXml(org.w3c.dom.Node node, java.lang.String encodedDomainName)` convert the instance to XML

Methods inherited from class de.knipp.rritoolkit.dns.DnsEntry
`allFromList, fromXml, getOwner, isIPv6, setOwner`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nsName

    private java.lang.String nsName

  the name server name

### addrsIPv4

    private java.util.List<java.lang.String> addrsIPv4

  the list of IPv4 addresses

### addrsIPv6

    private java.util.List<java.lang.String> addrsIPv6

  the list of IPv6 addresses

Constructor Detail

### DnsEntryNS

    public DnsEntryNS(java.lang.String name,
                      java.lang.String... addrs)

  constructor

  Parameters:
    `name` - the name of the name server
    `addrs` - the IP addresses

### DnsEntryNS

    public DnsEntryNS(java.lang.String name,
                      java.util.List<java.lang.String> addrs)

  constructor

  Parameters:
    `name` - the name of the name server
    `addrs` - the IP addresses

### DnsEntryNS

    public DnsEntryNS(java.lang.String name,
                      java.lang.String[] ipv4,
                      java.lang.String[] ipv6)

  constructor

  Parameters:
    `name` - the name of the name server
    `ipv4` - the IPv4 addresses
    `ipv6` - the IPv6 addresses

### DnsEntryNS

    public DnsEntryNS(java.lang.String name,
                      java.util.Collection<java.lang.String> ipv4,
                      java.util.Collection<java.lang.String> ipv6)

  constructor

  Parameters:
    `name` - the name of the name server
    `ipv4` - the IPv4 addresses
    `ipv6` - the IPv6 addresses

### DnsEntryNS

    protected DnsEntryNS(java.lang.String encodedDomainName,
                         java.lang.String name,
                         java.util.List<java.lang.String> ips)
                  throws ResponseParseException

  constructor

  Parameters:
    `encodedDomainName` - the encoded domain name
    `name` - the name server
    `ips` - the mixed list of IPv4 and IPv6 addresses
  Throws:
    `ResponseParseException` - on syntactical errors

### DnsEntryNS

    protected DnsEntryNS(org.w3c.dom.Element el)
                  throws org.w3c.dom.DOMException,
                         ResponseParseException

  constructor

  Parameters:
    `el` - the element
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `ResponseParseException` - on wrong content

Method Detail

### toList

    public void toList(KVList list)
                throws EncodeException

  convert the instance to an entry in the given list

  Specified by:
    `toList` in class `DnsEntry`
  Parameters:
    `list` - the list
  Throws:
    `EncodeException` - if the encoding fails

### toXml

    public void toXml(org.w3c.dom.Node node,
                      java.lang.String encodedDomainName)
               throws org.w3c.dom.DOMException,
                      EncodeException

  convert the instance to XML

  Specified by:
    `toXml` in class `DnsEntry`
  Parameters:
    `node` - the node to append to
    `encodedDomainName` - the encoded domain name from the domain info data
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `EncodeException` - if the encoding fails

### accept

    public void accept(DnsEntryVisitor visitor)

  accept the given visitor

  Specified by:
    `accept` in class `DnsEntry`
  Parameters:
    `visitor` - the visitor

### clone

    public DnsEntryNS clone()

  create a clone of this instance.

  Overrides:
    `clone` in class `DnsEntry`
  Returns:
    the clone

### toString

    public java.lang.String toString()

  create a string representation (for debugging purposes)

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation

### getAddresses

    public java.util.List<java.lang.String> getAddresses()

  return the list of addresses assigned to the name server

  Returns:
    the list

### getIPv4Addresses

    public java.util.List<java.lang.String> getIPv4Addresses()

  return the list of IPv4 addresses assigned to the name server

  Returns:
    the list

### getIPv6Addresses

    public java.util.List<java.lang.String> getIPv6Addresses()

  return the list of IPv6 addresses assigned to the name server

  Returns:
    the list

### getNameserverName

    public java.lang.String getNameserverName()

  return the name server name

  Returns:
    the name server name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH